<!DOCTYPE html>

{% load static %}

{% block links %}
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
<link rel="stylesheet" type="text/css" href="{% static '/css/general.css' %}" />
<link rel="stylesheet" type="text/css" href="{% static '/css/onboarding.css' %}" />
<script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>

{% endblock %}

{% block body %}
<!-- <img alt="" src="{% static '/image/purple-g.png' %}" width="120px"> -->

<div id="onboardCarousel" class="carousel slide" data-bs-interval="false">
  <div class="carousel-indicators">
    <button type="button" data-bs-target="#onboardCarousel" data-bs-slide-to="0" class="active" aria-current="true" aria-label="Slide 1"></button>
    <button type="button" data-bs-target="#onboardCarousel" data-bs-slide-to="1" aria-label="Slide 2"></button>
    <button type="button" data-bs-target="#onboardCarousel" data-bs-slide-to="2" aria-label="Slide 3"></button>
  </div>
  <div class="carousel-inner">
    <div class="carousel-item active">
      <div class="container d-flex justify-content-center">
        <div class="text-center onboarding">
          <img src="{% static '/image/purple-g.png' %}" style="max-width: 70vw; padding-top: 15vh;">
          <p></p>
          <h1>Welcome to Grapevine</h1>
          <p>Let us introduce you to the Grapevine!</p>
        </div>
      </div>
      
    </div>
    <div class="carousel-item">
      <div class="onboarding" >
        <div class="container d-flex justify-content-center">
          <div class="text-center onboarding">
            <img src="{% static '/image/onboard-2.png' %}" style="max-width: 70vw;">
            <p></p>
            <h1>Everything in One</h1>
            <p>Too many social network to catch up with your family and friends? Everything is under one GrapeVine!</p>
          </div>
        </div>
      </div>
    </div>
    <div class="carousel-item">
      <div class="onboarding">
        <div class="container d-flex justify-content-center">
          <div class="text-center onboarding">
            <img src="{% static '/image/onboard-3.png' %}" style="max-width: 70vw;">
            <p></p>
            <h1>Connect so easily</h1>
            <p>Connect easier with everybody under one roof
              Let’s set up your first GrapeVine!</p>
          </div>
        </div>
      </div>
    </div>
  </div>
  <button class="carousel-control-prev" type="button" data-bs-target="#onboardCarousel" data-bs-slide="prev">
    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
    <span class="visually-hidden">Previous</span>
  </button>
  <button class="carousel-control-next" type="button" data-bs-target="#onboardCarousel" data-bs-slide="next">
    <span class="carousel-control-next-icon" aria-hidden="true"></span>
    <span class="visually-hidden">Next</span>
  </button>
  <div class="next-button">
    <a class="btn button-primary" data-bs-target="#onboardCarousel" data-bs-slide="next">Next</a>
  </div>
</div>


<script>
  var myCarousel = document.querySelector("#onboardCarousel")
  var carousel = new bootstrap.Carousel(myCarousel, {
    interval: false,
    wrap: false
  })

  myCarousel.addEventListener('slid.bs.carousel', function (e) {
      if (e.to == 2) {
          $(".button-primary").removeAttr("data-bs-target");
          $(".button-primary").removeAttr("data-bs-slide");
          $(".button-primary").attr("href", "{% url 'register_intro' %}");
      } 
    })
</script>
{% endblock %}